.select {
    position: relative;

    &__toggle {
        width: 100%;
        fill: #212121;
        color: #212121;
        height: rem(48);
        cursor: pointer;
        font-size: rem(12);
        line-height: rem(20);
        border-radius: 8px;
        white-space: nowrap;
        padding: rem(8) rem(12);
        background: $white;
        border: 1px solid #F3F2F3;
        transition: .25s;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:hover {
            background-color: #F3F2F3;
        }
    }

    &__active {
        display: block;
        max-width: 100%;
        overflow: hidden;
        margin-right: rem(8);
        text-overflow: ellipsis;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(8);
        display: inline-block;
    }

    &__content {
        padding: rem(16) rem(16) rem(8) rem(16);
        border-radius: 8px;
        background: $white;
        border: 1px solid #F3F2F3;
    }

    &__title {
        color: $black;
        font-size: 12px;
        font-weight: 600;
        line-height: 20px;
        margin-bottom: rem(12);
    }

    &__grid {
        display: grid;
        grid-column-gap: rem(12);
        grid-row-gap: rem(12);
        grid-template-columns: 1fr 1fr;
    }

    &__scroll {
        max-height: rem(180);
    }

    &__list {
        display: grid;
        grid-row-gap: rem(12);
        grid-template-columns: 1fr;
    }

    &__item {
        fill: $black;
        color: $black;
        cursor: pointer;
        border-radius: 8px;
        min-height: rem(24);
        font-size: rem(12);
        line-height: rem(20);
        padding: rem(4) rem(8);
        background: $white;
        transition: .25s;
        display: flex;
        align-items: center;

        &:hover {
            background: #FBFBFB;
            transition: .25s;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(24);
            flex-shrink: 0;
            display: inline-block;
            margin-right: rem(6);
        }

        span {
            max-width: 100%;
            overflow: hidden;
            display: inline-block;
            text-overflow: ellipsis;
        }

        &.active {
            background: #FBFBFB;
        }

        &.disabled {
            color: $black !important;
            font-weight: 400 !important;
        }
    }

    &.open {

        .select {

            &__toggle {
                background-color: #F3F2F3;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__toggle {
            font-size: rem(16);
            line-height: rem(24);
            padding: rem(8) rem(16);
        }

        &__item {
            font-size: rem(14);
        }

        &__title {
            font-size: 16px;
        }

        &__grid {
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__content {
            padding: rem(16) rem(24) rem(8) rem(24);
        }
    }
}

[data-select] {
    position: relative;

    &.open {
        z-index: 50;

        [data-select-content] {
            opacity: 1;
            visibility: visible;
        }
    }
}

[data-dropdown-toggle] {
    cursor: pointer;
}

[data-select-content] {
    top: calc(100% - 8px);
    left: 0;
    min-width: 100%;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    position: absolute;
}
